% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sagemaker_operations.R
\name{sagemaker_list_devices}
\alias{sagemaker_list_devices}
\title{A list of devices}
\usage{
sagemaker_list_devices(NextToken, MaxResults, LatestHeartbeatAfter,
  ModelName, DeviceFleetName)
}
\arguments{
\item{NextToken}{The response from the last list when returning a list large enough to
need tokening.}

\item{MaxResults}{Maximum number of results to select.}

\item{LatestHeartbeatAfter}{Select fleets where the job was updated after X}

\item{ModelName}{A filter that searches devices that contains this name in any of their
models.}

\item{DeviceFleetName}{Filter for fleets containing this name in their device fleet name.}
}
\value{
A list with the following syntax:\preformatted{list(
  DeviceSummaries = list(
    list(
      DeviceName = "string",
      DeviceArn = "string",
      Description = "string",
      DeviceFleetName = "string",
      IotThingName = "string",
      RegistrationTime = as.POSIXct(
        "2015-01-01"
      ),
      LatestHeartbeat = as.POSIXct(
        "2015-01-01"
      ),
      Models = list(
        list(
          ModelName = "string",
          ModelVersion = "string"
        )
      )
    )
  ),
  NextToken = "string"
)
}
}
\description{
A list of devices.
}
\section{Request syntax}{
\preformatted{svc$list_devices(
  NextToken = "string",
  MaxResults = 123,
  LatestHeartbeatAfter = as.POSIXct(
    "2015-01-01"
  ),
  ModelName = "string",
  DeviceFleetName = "string"
)
}
}

\keyword{internal}
